com.unitech.lib.types

## Enum InventoryDataFormat

- java.lang.Object
- - java.lang.Enum<InventoryDataFormat>
  - - com.unitech.lib.types.InventoryDataFormat

- All Implemented Interfaces:
    Serializable, Comparable<InventoryDataFormat>

      public enum InventoryDataFormat
      extends Enum<InventoryDataFormat>

  The InventoryDataFormat enumeration represents the different formats of inventory data that can be used in RFID operations. Each format is associated with a specific code and name.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `antennaId`
    `epc`
    `frequency`
    `pc`
    `phase`
    `rssi`
    `tid`
    `timestamp`
    `userSpecifiedMemory`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InventoryDataFormat` | `fromValue(int code)` Returns the InventoryDataFormat corresponding to the given code.
    `int` | `getCode()`
    `String` | `toString()`
    `static InventoryDataFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static InventoryDataFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### epc

          public static final InventoryDataFormat epc

    - #### pc

          public static final InventoryDataFormat pc

    - #### rssi

          public static final InventoryDataFormat rssi

    - #### antennaId

          public static final InventoryDataFormat antennaId

    - #### tid

          public static final InventoryDataFormat tid

    - #### userSpecifiedMemory

          public static final InventoryDataFormat userSpecifiedMemory

    - #### phase

          public static final InventoryDataFormat phase

    - #### frequency

          public static final InventoryDataFormat frequency

    - #### timestamp

          public static final InventoryDataFormat timestamp

  - ### Method Detail

    - #### values

          public static InventoryDataFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InventoryDataFormat c : InventoryDataFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InventoryDataFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<InventoryDataFormat>`

    - #### fromValue

          public static InventoryDataFormat fromValue(int code)

      Returns the InventoryDataFormat corresponding to the given code.
      Parameters:
        `code` - the code of the InventoryDataFormat
      Returns:
        the InventoryDataFormat corresponding to the code
      Throws:
        `IllegalArgumentException` - if no InventoryDataFormat with the given code exists